Package io.vertx.ext.web.handler

## Enum FileSystemAccess

- java.lang.Object
- - java.lang.Enum<FileSystemAccess>
  - - io.vertx.ext.web.handler.FileSystemAccess

- All Implemented Interfaces:
    `Serializable`, `Comparable<FileSystemAccess>`

      public enum FileSystemAccess
      extends Enum<FileSystemAccess>

  Enumaration of FileSystem access permissions, used in
  Author:
    Stephan Wissel
  See Also:
    "StaticHandler"

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `RELATIVE` | Access to files relative to the application's working directory including the Java class path.
    `ROOT` | Access to the full file system, starting at "/", Limited by the operating systems permission for the user running the app.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static FileSystemAccess` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static FileSystemAccess[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ROOT

          public static final FileSystemAccess ROOT

      Access to the full file system, starting at "/", Limited by the operating systems permission for the user running the app. Use with care to avoid indecent exposure

    - #### RELATIVE

          public static final FileSystemAccess RELATIVE

      Access to files relative to the application's working directory including the Java class path. This is the recommended default option

  - ### Method Detail

    - #### values

          public static FileSystemAccess[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FileSystemAccess c : FileSystemAccess.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FileSystemAccess valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null